## EMBOSS: pasteseq

# Program pasteseq

## Function

Insert one sequence into another

## Description

This simple editing program allows you to insert one sequence into another sequence after a specified position and to then write out the results to a sequence file.

## Usage

To insert the sequence 'tst.seq' after position 67 in sequence 'ese.seq' and write the results to the file 'estste.seq':

    % pasteseq ese.seq tst.seq estste.seq -pos=67

This is probably slightly more readable if the argument names are used instead of relying on the parameter positions:

    % pasteseq -seq=ese.seq -ins=tst.seq -out=estste.seq -pos=67

To insert the sequence 'tst.seq' before the start of sequence 'ese.seq' use -pos=0 :

    % pasteseq -seq=ese.seq -ins=tst.seq -out=estste.seq -pos=0

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          sequence   Sequence USA
      [-insseq]            sequence   Sequence to insert
       -pos                integer    The position in the main input sequence to
                                      insert after.
                                      To insert before the start use the position
                                      0.
      [-outseq]            seqout     Output sequence USA

       Optional qualifiers: (none)
       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
[-insseq] (Parameter 2) | Sequence to insert | Readable sequence | Required
-pos | The position in the main input sequence to insert after. To insert before the start use the position 0. | Integer 0 or more | $(sequence.end)
[-outseq] (Parameter 3) | Output sequence USA | Writeable sequence | <sequence>.format
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

The sequence and the sequence to insert into it are both single sequence.

## Output file format

Single sequence file.

## Data files

None.

## Notes

This can be used as a simple sequence editor.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments